### Constructor

# Vips Image matrixload

#### Declaration [src]

    int
    vips_matrixload (
      const char* filename,
      VipsImage** out,
      ...
    )

#### Description [src]

Reads a matrix from a file.

Matrix files have a simple format that’s supposed to be easy to create with a text editor or a spreadsheet.

The first line has four numbers for width, height, scale and offset (scale and offset may be omitted, in which case they default to 1.0 and 0.0). Scale must be non-zero. Width and height must be positive integers. The numbers are separated by any mixture of spaces, commas, tabs and quotation marks (“). The scale and offset fields may be floating-point, and must use ‘.’ as a decimal separator.

Subsequent lines each hold one row of matrix data, with numbers again separated by any mixture of spaces, commas, tabs and quotation marks (“). The numbers may be floating-point, and must use ‘.’ as a decimal separator.

Extra characters at the ends of lines or at the end of the file are ignored.

See also

`vips_matrixload()`.

This constructor is not directly available to language bindings.

#### Parameters

`filename`

  Type: `const char*`

  File to load.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`out`

  Type: `VipsImage`

  Output image.

  The argument will be set by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.